Skip to main content
GET
Get an external wallet

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string
required

ID of the user

externalWalletId
string
required

ID of the external wallet

Response

Success

id
string<uuid>
userId
string<uuid>
chain
enum<string>
Available options:
POLYGON,
SOLANA,
ETHEREUM,
BASE,
TRON
name
string
address
string
referenceId
string
active
boolean
screeningStatus
enum<string> | null

Address screening status; null when no screening status is available.

Available options:
CLEARED,
FLAGGED,
UNDER_REVIEW,
NOT_SCREENED,
null
Example:

"CLEARED"

createdAt
string<date-time>
updatedAt
string<date-time> | null